import {Component,OnInit, ElementRef, NgZone, ViewChild} from '@angular/core';
import { trigger, transition, animate, style } from '@angular/animations';
@Component({
  selector: 'app-studentsprofile',
  templateUrl: './studentsprofile.page.html',
  styleUrls: ['./studentsprofile.page.scss'],
})
export class StudentsprofilePage implements OnInit {
  shownGroup = null;
  student_data :any

  constructor() {
    this.shownGroup = 0;
    this.get_studentsData();
   }

  ngOnInit() {
  }
  isGroupShown(group) {
    return this.shownGroup === group;
    }
 toggleGroup(group) {
      if (this.isGroupShown(group)) {
      this.shownGroup = null;
      } else {
      this.shownGroup = group;
      }
 }  
 get_studentsData() {
         this.student_data= {
            "condition":"notes",
            "Physician":"Stewart Smith",
            "broken_bones" :"no",
            "mental_problems" :"no"
           }
      }
}
